package com.ruoyi.system.app.base.controller;


import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.app.base.domain.AppEvaluateVO;
import com.ruoyi.system.app.base.service.AppEvaluateService;
import com.ruoyi.system.application.domain.TUEvaluate;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/app/AppEvaluateController")
public class AppEvaluateController extends BaseController {

    @Resource
    AppEvaluateService appEvaluateService;

    @RequestMapping("evaluate")
    public AjaxResult evaluate(@RequestBody AppEvaluateVO tuEvaluate) {
        return appEvaluateService.evaluate(tuEvaluate);
    }

    @GetMapping("getMyEvaluate")
    public TableDataInfo getMyEvaluate(){
        startPage();
        List list = appEvaluateService.getMyEvaluate();
        return getDataTable(list);
    }


}
