package com.ruoyi.system.app.login.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.login.controller.AppLoginController;
import com.ruoyi.system.app.login.service.AppLoginService;
import com.ruoyi.system.mapper.SysUserRoleMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AppLoginServiceImpl implements AppLoginService {

    @Resource
    SysUserRoleMapper sysUserRoleMapper;

    @Override
    public AjaxResult systemBaseInfo() {
        AjaxResult ajaxResult = new AjaxResult();
        ajaxResult.put("appid", AppLoginController.appid);
        ajaxResult.put("secret", AppLoginController.secret);
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        List list = sysUserRoleMapper.selectUserRoleByUserId(sysUser.getUserId());
        ajaxResult.put("role",list);
        ajaxResult.put("sysUser",sysUser);
        return ajaxResult;
    }
}

















