package com.ruoyi.system.app.parents_publish.controller;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.app.parents_publish.domain.AppParentsPublishVO;
import com.ruoyi.system.app.parents_publish.service.AppParentsPublishService;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/app/AppParentsPublishController")
public class AppParentsPublishController {

    @Resource
    AppParentsPublishService appParentsPublishService;

    @RequestMapping("publishInit")
    public AjaxResult publishInit(){
        return  appParentsPublishService.publishInit();
    }

    @RequestMapping("publishOrder")
    public AjaxResult publishOrder(@RequestBody AppParentsPublishVO vo){
        return appParentsPublishService.publishOrder(vo);
    }

}
