package com.ruoyi.system.app.teacher_mine.controller;


import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;

import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.app.teacher_mine.domain.AppTeacherEditVO;
import com.ruoyi.system.app.teacher_mine.service.AppTeacherMineService;
import com.ruoyi.system.application.service.ITUTeacherService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/app/AppTeacherMineController")
public class AppTeacherMineController extends BaseController {

    @Resource
    AppTeacherMineService appTeacherMineService;

    @Resource
    ITUTeacherService ituTeacherService;

    @RequestMapping("teacherMineInit")
    public AjaxResult teacherMineInit() {
        return appTeacherMineService.teacherMineInit();
    }

    @RequestMapping("editTeacher")
    public AjaxResult editTeacher(@RequestBody AppTeacherEditVO vo){
        return appTeacherMineService.editTeacher(vo);
    }



}
