package com.ruoyi.system.application.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 客服信息对象 t_u_customerser
 * 
 * @author ruoyi
 * @date 2024-07-02
 */
public class TUCustomerser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 二维码 */
    @Excel(name = "二维码")
    private String qcode;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wxnumber;

    /** 联系端 */
    @Excel(name = "联系端")
    private String customConnectionType;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setQcode(String qcode) 
    {
        this.qcode = qcode;
    }

    public String getQcode() 
    {
        return qcode;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setWxnumber(String wxnumber) 
    {
        this.wxnumber = wxnumber;
    }

    public String getWxnumber() 
    {
        return wxnumber;
    }
    public void setCustomConnectionType(String customConnectionType) 
    {
        this.customConnectionType = customConnectionType;
    }

    public String getCustomConnectionType() 
    {
        return customConnectionType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("qcode", getQcode())
            .append("phone", getPhone())
            .append("wxnumber", getWxnumber())
            .append("customConnectionType", getCustomConnectionType())
            .toString();
    }
}
