package com.ruoyi.system.application.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 评价对象 t_u_evaluate
 * 
 * @author ruoyi
 * @date 2024-07-03
 */
public class TUEvaluate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 评价人id */
    @Excel(name = "评价人id")
    private Long fromUserid;

    /** 评价人姓名 */
    @Excel(name = "评价人姓名")
    private String fromUsername;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String content;

    /** 评价分数 */
    @Excel(name = "评价分数")
    private Long score;

    /** 评价订单id */
    @Excel(name = "评价订单id")
    private String orderId;

    /** 订单创建者id */
    @Excel(name = "订单创建者id")
    private Long orderUserid;



    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setFromUserid(Long fromUserid) 
    {
        this.fromUserid = fromUserid;
    }

    public Long getFromUserid() 
    {
        return fromUserid;
    }
    public void setFromUsername(String fromUsername) 
    {
        this.fromUsername = fromUsername;
    }

    public String getFromUsername() 
    {
        return fromUsername;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setScore(Long score) 
    {
        this.score = score;
    }

    public Long getScore() 
    {
        return score;
    }
    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }
    public void setOrderUserid(Long orderUserid) 
    {
        this.orderUserid = orderUserid;
    }

    public Long getOrderUserid() 
    {
        return orderUserid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fromUserid", getFromUserid())
            .append("fromUsername", getFromUsername())
            .append("content", getContent())
            .append("score", getScore())
            .append("orderId", getOrderId())
            .append("orderUserid", getOrderUserid())
            .append("createTime", getCreateTime())
            .toString();
    }
}
