package com.ruoyi.system.application.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 看过和收藏对象 t_u_lookcollection
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public class TULookcollection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 发起人id */
    @Excel(name = "发起人id")
    private Long fromUserid;

    /** 发起人姓名 */
    @Excel(name = "发起人姓名")
    private String fromUsername;

    /** 目的人id */
    @Excel(name = "目的人id")
    private Long targetUserid;

    /** 目的人姓名 */
    @Excel(name = "目的人姓名")
    private String targetUsername;

    /** 点击时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "点击时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lookTime;

    /** 点击日期 */
    @Excel(name = "点击日期")
    private String lookDate;

    /** 类型(1-看过，2-收藏) */
    @Excel(name = "类型(1-看过，2-收藏)")
    private Integer type;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setFromUserid(Long fromUserid) 
    {
        this.fromUserid = fromUserid;
    }

    public Long getFromUserid() 
    {
        return fromUserid;
    }
    public void setFromUsername(String fromUsername) 
    {
        this.fromUsername = fromUsername;
    }

    public String getFromUsername() 
    {
        return fromUsername;
    }
    public void setTargetUserid(Long targetUserid) 
    {
        this.targetUserid = targetUserid;
    }

    public Long getTargetUserid() 
    {
        return targetUserid;
    }
    public void setTargetUsername(String targetUsername) 
    {
        this.targetUsername = targetUsername;
    }

    public String getTargetUsername() 
    {
        return targetUsername;
    }
    public void setLookTime(Date lookTime) 
    {
        this.lookTime = lookTime;
    }

    public Date getLookTime() 
    {
        return lookTime;
    }
    public void setLookDate(String lookDate) 
    {
        this.lookDate = lookDate;
    }

    public String getLookDate() 
    {
        return lookDate;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fromUserid", getFromUserid())
            .append("fromUsername", getFromUsername())
            .append("targetUserid", getTargetUserid())
            .append("targetUsername", getTargetUsername())
            .append("lookTime", getLookTime())
            .append("lookDate", getLookDate())
            .append("type", getType())
            .toString();
    }
}
