package com.ruoyi.system.application.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 看过的订单对象 t_u_lookorder
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public class TULookorder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 发起人id */
    @Excel(name = "发起人id")
    private Long fromUserid;

    /** 发起人姓名 */
    @Excel(name = "发起人姓名")
    private String fromUsername;

    /** 订单id */
    @Excel(name = "订单id")
    private String orderId;

    /** 类型(1-看过，2-收藏) */
    @Excel(name = "类型(1-看过，2-收藏)")
    private Integer type;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setFromUserid(Long fromUserid) 
    {
        this.fromUserid = fromUserid;
    }

    public Long getFromUserid() 
    {
        return fromUserid;
    }
    public void setFromUsername(String fromUsername) 
    {
        this.fromUsername = fromUsername;
    }

    public String getFromUsername() 
    {
        return fromUsername;
    }
    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fromUserid", getFromUserid())
            .append("fromUsername", getFromUsername())
            .append("orderId", getOrderId())
            .append("updateTime", getUpdateTime())
            .append("type", getType())
            .toString();
    }
}
