package com.ruoyi.system.application.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 学校信息对象 t_u_school
 * 
 * @author ruoyi
 * @date 2024-06-27
 */
public class TUSchool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private String id;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String schoolName;

    /** 所属区域 */
    @Excel(name = "所属区域")
    private String areaId;

    private String type;

    /**
     * 准卻查詢
     */
    private String isexact;


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getIsexact() {
        return isexact;
    }

    public void setIsexact(String isexact) {
        this.isexact = isexact;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setSchoolName(String schoolName) 
    {
        this.schoolName = schoolName;
    }

    public String getSchoolName() 
    {
        return schoolName;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolName", getSchoolName())
            .append("areaId", getAreaId())
            .toString();
    }
}
