package com.ruoyi.system.application.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 教师对应区域对象 t_u_teacher_area
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public class TUTeacherArea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 区域id */
    @Excel(name = "区域id")
    private String areaId;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String areaName;

    /** 教师id */
    @Excel(name = "教师id")
    private String teacherId;

    /** 教师名称 */
    @Excel(name = "教师名称")
    private String teacherName;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setTeacherId(String teacherId) 
    {
        this.teacherId = teacherId;
    }

    public String getTeacherId() 
    {
        return teacherId;
    }
    public void setTeacherName(String teacherName) 
    {
        this.teacherName = teacherName;
    }

    public String getTeacherName() 
    {
        return teacherName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("teacherId", getTeacherId())
            .append("teacherName", getTeacherName())
            .toString();
    }
}
