package com.ruoyi.system.application.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 教师对应学科对象 t_u_teacher_gradesubject
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public class TUTeacherGradesubject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 学科id */
    @Excel(name = "学科id")
    private String gradesubjectId;

    /** 学科名称 */
    @Excel(name = "学科名称")
    private String gradesubjectName;

    /** 教师id */
    @Excel(name = "教师id")
    private String teacherId;

    /** 教师名称 */
    @Excel(name = "教师名称")
    private String teacherName;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setGradesubjectId(String gradesubjectId) 
    {
        this.gradesubjectId = gradesubjectId;
    }

    public String getGradesubjectId() 
    {
        return gradesubjectId;
    }
    public void setGradesubjectName(String gradesubjectName) 
    {
        this.gradesubjectName = gradesubjectName;
    }

    public String getGradesubjectName() 
    {
        return gradesubjectName;
    }
    public void setTeacherId(String teacherId) 
    {
        this.teacherId = teacherId;
    }

    public String getTeacherId() 
    {
        return teacherId;
    }
    public void setTeacherName(String teacherName) 
    {
        this.teacherName = teacherName;
    }

    public String getTeacherName() 
    {
        return teacherName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("gradesubjectId", getGradesubjectId())
            .append("gradesubjectName", getGradesubjectName())
            .append("teacherId", getTeacherId())
            .append("teacherName", getTeacherName())
            .toString();
    }
}
