package com.ruoyi.system.application.mapper;

import java.util.List;
import com.ruoyi.system.application.domain.TUGradesubject;

/**
 * 年级学科对应Mapper接口
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public interface TUGradesubjectMapper 
{
    /**
     * 查询年级学科对应
     * 
     * @param id 年级学科对应主键
     * @return 年级学科对应
     */
    public TUGradesubject selectTUGradesubjectById(String id);

    /**
     * 查询年级学科对应列表
     * 
     * @param tUGradesubject 年级学科对应
     * @return 年级学科对应集合
     */
    public List<TUGradesubject> selectTUGradesubjectList(TUGradesubject tUGradesubject);

    /**
     * 新增年级学科对应
     * 
     * @param tUGradesubject 年级学科对应
     * @return 结果
     */
    public int insertTUGradesubject(TUGradesubject tUGradesubject);

    /**
     * 修改年级学科对应
     * 
     * @param tUGradesubject 年级学科对应
     * @return 结果
     */
    public int updateTUGradesubject(TUGradesubject tUGradesubject);

    /**
     * 删除年级学科对应
     * 
     * @param id 年级学科对应主键
     * @return 结果
     */
    public int deleteTUGradesubjectById(String id);

    /**
     * 批量删除年级学科对应
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTUGradesubjectByIds(String[] ids);
}
