package com.ruoyi.system.application.mapper;

import java.util.List;
import com.ruoyi.system.application.domain.TUTeacherGradesubject;

/**
 * 教师对应学科Mapper接口
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public interface TUTeacherGradesubjectMapper 
{
    /**
     * 查询教师对应学科
     * 
     * @param id 教师对应学科主键
     * @return 教师对应学科
     */
    public TUTeacherGradesubject selectTUTeacherGradesubjectById(String id);

    /**
     * 查询教师对应学科列表
     * 
     * @param tUTeacherGradesubject 教师对应学科
     * @return 教师对应学科集合
     */
    public List<TUTeacherGradesubject> selectTUTeacherGradesubjectList(TUTeacherGradesubject tUTeacherGradesubject);

    /**
     * 新增教师对应学科
     * 
     * @param tUTeacherGradesubject 教师对应学科
     * @return 结果
     */
    public int insertTUTeacherGradesubject(TUTeacherGradesubject tUTeacherGradesubject);

    /**
     * 修改教师对应学科
     * 
     * @param tUTeacherGradesubject 教师对应学科
     * @return 结果
     */
    public int updateTUTeacherGradesubject(TUTeacherGradesubject tUTeacherGradesubject);

    /**
     * 删除教师对应学科
     * 
     * @param id 教师对应学科主键
     * @return 结果
     */
    public int deleteTUTeacherGradesubjectById(String id);

    /**
     * 批量删除教师对应学科
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTUTeacherGradesubjectByIds(String[] ids);

    public int deleteTUTeacherGradesubjectByTeacherId(String teacherId);
}
