package com.ruoyi.system.payment.service;

import com.github.binarywang.wxpay.exception.WxPayException;
import com.github.binarywang.wxpay.service.WxPayService;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.payment.domain.OrderPayRequest;
import com.ruoyi.system.payment.domain.RefundOrderRequest;

public interface IPaymentService {
    AjaxResult orderPay(OrderPayRequest orderPayRequest) throws Exception;
    AjaxResult orderTest(OrderPayRequest orderPayRequest) throws Exception;

    /**
     * 支付回调通知
     * @param xmlData
     * @return
     */
    String callbackNotifyOrder(String xmlData) throws WxPayException;

    /**
     * 退款
     * @param refundOrderRequest
     * @return
     */
    String refundOrder(RefundOrderRequest refundOrderRequest) throws Exception;
    /**
     * 退款回调通知
     * @param xmlData
     * @return
     */
    String callbackRefundNotifyOrder(String xmlData);
}
