package com.ruoyi.system.wxpay.domain;

import com.ruoyi.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;

/**
 微信支付
 */
public class WXOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 订单号 */
    private String orderId;

    /** 微信号 */
    private String openId;

    /** 订单店铺 */
    private Long userId;

    /** 订单金额 */
    private BigDecimal money;

    /** 车牌号 */
    private String carNumber;

    /** 登录信息 */
//    private TUCustomer customer;

    private String notifyURL;

    public String station_id;

    public String transaction_id;




String Spbill_create_ip;
String orderNumber;


    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public String getCarNumber() {
        return carNumber;
    }

    public void setCarNumber(String carNumber) {
        this.carNumber = carNumber;
    }

//    public TUCustomer getCustomer() {
//        return customer;
//    }
//
//    public void setCustomer(TUCustomer customer) {
//        this.customer = customer;
//    }

    public String getNotifyURL() {
        return notifyURL;
    }

    public void setNotifyURL(String notifyURL) {
        this.notifyURL = notifyURL;
    }

    public String getStation_id() {
        return station_id;
    }

    public void setStation_id(String station_id) {
        this.station_id = station_id;
    }

    public String getTransaction_id() {
        return transaction_id;
    }

    public void setTransaction_id(String transaction_id) {
        this.transaction_id = transaction_id;
    }

    public String getSpbill_create_ip() {
        return Spbill_create_ip;
    }

    public void setSpbill_create_ip(String spbill_create_ip) {
        Spbill_create_ip = spbill_create_ip;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }
}
