package com.ruoyi.system.app.base.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.domain.SysDictData;
import com.ruoyi.system.app.base.domain.AppFeeRechargeVO;
import com.ruoyi.system.app.base.domain.AppFeeStanderVO;
import com.ruoyi.system.service.ISysDictDataService;
import org.checkerframework.checker.units.qual.A;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/app/AppFeeStanderController")
public class AppFeeStanderController {

    @Resource
    ISysDictDataService iSysDictDataService;

    @RequestMapping("getFeeStander")
    public AjaxResult getFeeStander(@RequestBody AppFeeStanderVO vo){
        SysDictData sysDictData = new SysDictData();
        sysDictData.setDictValue(vo.getFeeType());
        AjaxResult ajaxResult = new AjaxResult();
        ajaxResult.put("feeStander",iSysDictDataService.selectDictDataList(sysDictData).get(0));
        return ajaxResult;
    }

    @RequestMapping("getFeeRecharge")
    public AjaxResult getFeeRecharge(@RequestBody AppFeeRechargeVO vo){
        SysDictData sysDictData = new SysDictData();
        sysDictData.setDictType(vo.getType());
        AjaxResult ajaxResult = new AjaxResult();
        ajaxResult.put("fee_recharge",iSysDictDataService.selectDictDataList(sysDictData));
        return ajaxResult;
    }


}
