package com.ruoyi.system.app.base.service.impl;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.app.base.mapper.AppOrderMapper;
import com.ruoyi.system.app.base.service.AppOrderService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;

@Service
public class AppOrderServiceImpl implements AppOrderService {

    @Resource
    AppOrderMapper appOrderMapper;

    @Override
    public String makeOrderNum() {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyMMdd");
        String date = simpleDateFormat.format(new Date());
        Integer max = appOrderMapper.getMaxOrderNumToday();
        if(max == null){
            return date+"001";
        }else{
           return String.valueOf(max+1);
        }
    }
}
