package com.ruoyi.system.app.login.controller;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.app.login.domain.AppLoginVO;
import com.ruoyi.system.app.login.service.AppLoginService;
import com.ruoyi.system.tools.HttpUtils;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/app/AppLoginController")
public class AppLoginController {

    public static final String appid = "wx7d50bb285fa159f8";
    public static final String secret = "03ed781e7be4639b0ab0b0ec8fec077a";

    @Resource
    AppLoginService appLoginService;

    @RequestMapping("getOpenId")
    public AjaxResult getOpenId(@RequestBody AppLoginVO vo){
        AjaxResult ajaxResult = new AjaxResult();
        String url = "https://api.weixin.qq.com/sns/jscode2session";
        String requestBody = "appid=" + appid + "&secret=" + secret + "&grant_type=authorization_code&js_code=" + vo.getCode();
        String result = HttpUtils.httpGet(url,requestBody);
        JSONObject jsonObject = JSONObject.parseObject(result);
        String openid = jsonObject.getString("openid");
        ajaxResult.put("openid", openid);
        return ajaxResult;
    }

    @RequestMapping("systemBaseInfo")
    public AjaxResult systemBaseInfo() {
        return appLoginService.systemBaseInfo();
    }

}
