package com.ruoyi.system.app.teacher_order.service.impl;


import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.teacher_order.domain.AppTeacherOrderQueryVO;
import com.ruoyi.system.app.teacher_order.service.AppTeacherOrderService;
import com.ruoyi.system.application.domain.TUOrder;
import com.ruoyi.system.application.mapper.TUOrderMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AppTeacherOrderServiceImpl implements AppTeacherOrderService {

    @Resource
    TUOrderMapper tuOrderMapper;

    @Override
    public List orderQuery(AppTeacherOrderQueryVO vo) {
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setTeacherUserid(sysUser.getUserId());
        List list = tuOrderMapper.selectTUOrderList(vo);
        return list;
    }
}
