package com.ruoyi.system.app.teacher_regedit.controller;


import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.app.teacher_regedit.domain.AppTeacherRegeditVO;
import com.ruoyi.system.app.teacher_regedit.service.AppTeacherRegisterService;
import com.ruoyi.system.application.domain.TUSchool;
import com.ruoyi.system.application.service.ITUSchoolService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/app/AppTeacherRegeditController")
public class AppTeacherRegeditController extends BaseController {

    @Resource
    AppTeacherRegisterService appTeacherRegisterService;
    @Autowired
    private ITUSchoolService tUSchoolService;

    @RequestMapping("regeditInit")
    public AjaxResult regeditInit(){
        return appTeacherRegisterService.registerInit();
    }

    @RequestMapping("regeditTeacher")
    public AjaxResult regeditTeacher(@RequestBody AppTeacherRegeditVO vo){
        return appTeacherRegisterService.registerTeacher(vo);
    }

    @GetMapping("schoolSearch")
    public TableDataInfo schoolSearch(TUSchool tUSchool)
    {
        startPage();
        List<TUSchool> list = tUSchoolService.selectTUSchoolList(tUSchool);
        return getDataTable(list);
    }
    @GetMapping("schoolSearchExact")
    public TableDataInfo schoolSearchExact(TUSchool tUSchool)
    {
        startPage();
        List<TUSchool> list = tUSchoolService.selectTUSchoolListExact(tUSchool);
        return getDataTable(list);
    }




}
