package com.ruoyi.system.application.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 附件对象 t_attach
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public class TAttach extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String attachName;

    /** 路径 */
    @Excel(name = "路径")
    private String path;

    /** 业务id */
    @Excel(name = "业务id")
    private String businessId;

    /** 顺序 */
    @Excel(name = "顺序")
    private Integer seq;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setAttachName(String attachName) 
    {
        this.attachName = attachName;
    }

    public String getAttachName() 
    {
        return attachName;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setBusinessId(String businessId) 
    {
        this.businessId = businessId;
    }

    public String getBusinessId() 
    {
        return businessId;
    }
    public void setSeq(Integer seq)
    {
        this.seq = seq;
    }

    public Integer getSeq()
    {
        return seq;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("attachName", getAttachName())
            .append("path", getPath())
            .append("businessId", getBusinessId())
            .append("seq", getSeq())
            .toString();
    }
}
