package com.ruoyi.system.payment.domain;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;

/**
 *
 * @author 魏建波
 * Date:  2024/6/4
 * Time:  16:03
 * @description
 */
public class OrderPayRequest {
    /** orderId */
    @ApiModelProperty("订单id")
    @NotNull(message = "订单id不能为空")
    private String orderId;

    @ApiModelProperty("userId")
    @NotNull(message = "userId不能为空")
    private Long userId;

    @ApiModelProperty("userType用户类型 1-家长 2-老师")
    @NotNull(message = "userType不能为空")
    private String userType;

    /** openid */
    @NotNull(message = "openid不能为空")
    @ApiModelProperty("openid")
    private String openid;

    /** 支付公司主键id */
    @NotNull(message = "payConfigId不能为空")
    @ApiModelProperty("支付公司主键id")
    private Long payConfigId;

    /** 支付金额（元） */
    @NotNull(message = "支付金额（元）不能为空")
    @ApiModelProperty("支付金额")
    private String account;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public Long getPayConfigId() {
        return payConfigId;
    }

    public void setPayConfigId(Long payConfigId) {
        this.payConfigId = payConfigId;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }
}