package com.ruoyi.system.payment.domain;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 *
 * @author 魏建波
 * Date:  2024/6/4
 * Time:  16:03
 * @description
 */
public class RefundOrderRequest {

    @ApiModelProperty("orderId")
    private String orderId;

    @ApiModelProperty("支付流水号")
    private String transactionId;

    @ApiModelProperty("总金额")
    private BigDecimal totalFee;

    @ApiModelProperty("退款金额")
    private BigDecimal refundFee;

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public BigDecimal getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(BigDecimal totalFee) {
        this.totalFee = totalFee;
    }

    public BigDecimal getRefundFee() {
        return refundFee;
    }

    public void setRefundFee(BigDecimal refundFee) {
        this.refundFee = refundFee;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
}